APPHBD(8)

NAME
apphbd - Application Heartbeat Monitor for High-Availability Linux

SYNOPSIS

apphbd [-srkdh] [-c file]

DESCRIPTION

    Warning

    apphbd is deprecated; its use is strongly discouraged. The functionality provided by apphbd has been replaced by resource-level monitoring in Pacemaker.

/usr/libexec/heartbeat/apphbd is a basic application heartbeat monitor daemon for Linux-HA. A group of Application Heartbeat APIs are defined for this heartbeat monitoring service. Applications may register with the daemon in order to be monitored. If an application fails to send a heartbeat within the specified interval, the daemon will log an event.

apphbd may use a watchdog timer to monitor itself.

apphbd extends its functionality by using plugins. A plugin, recmgr notifies the recovery manager daemon if certain events occur (e.g. an application fails to heartbeat).

The Recovery Manager daemon (/usr/libexec/heartbeat/recoverymgrd) receives notification from the recmgr plugin, then it tries to execute recovery scripts as configured. See the recoverymgrd default configuration file, recoverymgrd.conf for details.

recoverymgrd registers itself with apphbd as a client application. apphbd should be started first with the recmgr plugin loaded. Then, recoverymgrd should be configured and started

OPTIONS

The following options are supported:

-s
    Show the status of apphbd, running or stopped.

-k
    Stop (kill) the daemon.

-r
    Restart the daemon. apphbd will reload its configuration file when restarted.

-d level
    Set the debug level.

-h
    Show a brief usage message.

-c file
    Set an alternate configuration file. The default configuration file is ./apphbd.cf. For details on the file format and supported options, refer to the example apphbd.cf file found in the documentation directory.

FILES

    • /var/run/apphbd.pid – default PID file

    • apphbd.cf – Default configuration file for apphbd. apphbd searches the file in its working directory.

    • recoverymgrd.conf – default configuration file for recoverymgrd. recoverymgrd searches the file in its working directory. An alternative configuration file may be specified on the command line.

    • /usr/lib/heartbeat/plugins/AppHBNotification – directory containing plugins for apphbd.

SEE ALSO

heartbeat(8)

AUTHORS

Alan Robertson <alanr@unix.sh>
    apphbd

Andrea Brugger <andrea.l.brugger@intel.com>
    man page

Florian Haas <florian.haas@linbit.com>
    man page